Page MenuHomePhabricator

Convert Special:EditMassMessageList and Special:CreateMassMessageList to use OOUI
Closed, ResolvedPublic

Description

BeforeAfter
(Zoomed out 80%)

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 11 2016, 7:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 326317 had a related patch set uploaded (by Ladsgroup):
Modernize MassMassage design

https://gerrit.wikimedia.org/r/326317

Ladsgroup updated the task description. (Show Details)Dec 14 2016, 7:15 AM

@Ladsgroup I'm missing the validation screens above as they undergo slight (color) change as well.

Ladsgroup updated the task description. (Show Details)Dec 17 2016, 2:07 PM

What was the intention of the rounded corners (half circle) – indicating to be connected to the specific form field?
If so, it doesn't make sense to leave it in, I'd rather remove them.
Also wondering about the primary button description “Submit“. Wouldn't “Create” or “Create list” be more specific?

Ladsgroup added a comment.EditedDec 17 2016, 11:29 PM

I say let's go even further and use errorbox in mediawiki instead, so in that case when T127405 is done, it'll get improved automatically.

Here's a screenshot:

What do you think @Legoktm ?

@Ladsgroup OOjs UI features FieldLayouts with error messages, which we are working on to make it a good experience. See “FieldLayout with error message” in the demo. I'd rather see this to be used. MW core error messages and OOjs UI error messages should look similar in the end.

hmm, @Volker_E. I tried to use it in the js, but it wasn't possible (let's say not easy). Because OOUI fields are made using php in this special page and the errorbox is being added using js and js can create a widget with error but can't take a OOUI field and append error easily (or I'm missing something, please correct me if I am).

Change 326317 merged by jenkins-bot:
Modernize MassMassage design (a little)

https://gerrit.wikimedia.org/r/326317

Ladsgroup closed this task as Resolved.Sep 10 2017, 11:22 AM